### Signal

# Gtk CellRendererAccel::accel-edited

since: 4.0

#### Declaration

    void
    accel_edited (
      GtkCellRendererAccel* self,
      gchar* path_string,
      guint accel_key,
      GdkModifierType accel_mods,
      guint hardware_keycode,
      gpointer user_data
    )

#### Description [src]

Gets emitted when the user has selected a new accelerator.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`path_string`

  Type: `gchar*`

  The path identifying the row of the edited cell.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`accel_key`

  Type: `guint`

  The new accelerator keyval.

`accel_mods`

  Type: `GdkModifierType`

  The new accelerator modifier mask.

`hardware_keycode`

  Type: `guint`

  The keycode of the new accelerator.